//
//  Character.h
//  RPG-Generator
//
//  Created by Holger Hinzberg on 30.09.09.
//  Copyright 2009 Cocoa-Coding. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "Race.h"

@interface Character : NSObject <NSCoding , NSCopying> {
	
	NSNumber *strength;
	NSNumber *dexterity;
	NSNumber *constitution;
	NSNumber *intelligence;
	NSNumber *wisdom;
	NSNumber *charisma;
	NSString *characterName;
	NSString *race;
	NSString *charClass;
	NSData *image;	
}

- (NSNumber *)strength;
- (void)setStrength:(NSNumber *)value;

- (NSNumber *)dexterity;
- (void)setDexterity:(NSNumber *)value;

- (NSNumber *)constitution;
- (void)setConstitution:(NSNumber *)value;

- (NSNumber *)intelligence;
- (void)setIntelligence:(NSNumber *)value;

- (NSNumber *)wisdom;
- (void)setWisdom:(NSNumber *)value;

- (NSNumber *)charisma;
- (void)setCharisma:(NSNumber *)value;

- (NSString *)characterName;
- (void)setCharacterName:(NSString *)value;

- (NSString *)race;
- (void)setRace:(NSString *)value;

- (NSString *)charClass;
- (void)setCharClass:(NSString *)value;

- (NSData *)image;
- (void)setImage:(NSData *)value;


@end
