//
//  CharClass.m
//  RPG-Generator
//
//  Created by Holger Hinzberg on 31.10.09.
//  Copyright 2009 Cocoa Coding. All rights reserved.
//

#import "CharClass.h"

@implementation CharClass

- (id)initWithClassname:(NSString *) name
{
	if(self = [super init])
	{
		[self setClassname:name];
	}	
	return (self);
}

- (NSString *)classname {
    return [[classname retain] autorelease];
}

- (void)setClassname:(NSString *)value {
    if (classname != value) {
        [classname release];
        classname = [value copy];
    }
}

@end
