//
//  MyController.h
//  RPG-Generator
//
//  Created by Holger Hinzberg on 27.09.09.
//  Copyright 2009 Cocoa-Coding. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "Dice.h"
#import "Character.h"
#import "Race.h"
#import "CharClass.h"

@interface MyController : NSObject {

	Dice *rpgDice;
	Character *rpgCharacter;
	NSMutableArray *racesArray;
	NSMutableArray *classesArray;
	IBOutlet NSArrayController *myRacesController;
	IBOutlet NSArrayController *myClassesController;
	IBOutlet NSObjectController *myCharacterController;
}

- (IBAction)testBinding:(id)sender; 
- (IBAction)rollCharacterAttributes:(id)sender; 
- (void)determinePossibleRaces;
- (void)determinePossibleClasses;

- (IBAction)saveCharacter:(id)sender; 
- (IBAction)loadCharacter:(id)sender; 

- (Character *)rpgCharacter;
- (void)setRpgCharacter:(Character *)value;




@end
